0 Replies Latest reply on Jan 25, 2011 4:53 AM by Larry Launstein Jr

    Having problems getting swf files to show up in Internet Explorer

    Larry Launstein Jr

      I have been working on one of my client's web sites, and for some reason I can get one of her videos on one of her pages to show up, but cannot get the ones on another page of her web site to show up.

       

      I used Flash Catalyst to design them, and have used Flash in the past to do this.My big problem seems to be with the code that shows up in CS 5 when inserting the videos in. I even exported the files that Flash Catalyst created for all videos, and they still don't show up in any versions of Interent Explorer ferom 6.0 and above. They do show up in all other browsers, like Firefox and Safari. The gallery shows up okay in Internet Explorer, but the Portfolio vidoes do not.

       

      I've been quite frustrated because it was so easy to put videos on in Adobe CS 3, and I'm now using CS 5, and the learning curve seems to be much higher. But if I can get the hang of this, I'll be much happier.

       

      Here are the pages:

      http://www.rekindledspaces.com/Galllery.htm

      That's the one that shows up okay in Internet Explorer.

       

      http://www.rekindledspaces.com/Portfolio.htm

      This is the one that does not.

       

      Source code for the gallery:

       

      <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="375" height="300" id="FlashID" title="Gallery video">
                <param name="movie" value="Gallery video/deploy-to-web/Main.swf" />
                <param name="quality" value="high" />
                <param name="wmode" value="opaque" />
                <param name="swfversion" value="6.0.65.0" />
                <!-- This param tag prompts users with Flash Player 6.0 r65 and higher to download the latest version of Flash Player. Delete it if you don’t want users to see the prompt. -->
                <param name="expressinstall" value="Scripts/expressInstall.swf" />
                <!-- Next object tag is for non-IE browsers. So hide it from IE using IECC. -->
                <!--[if !IE]>-->
                <object type="application/x-shockwave-flash" data="Gallery video/deploy-to-web/Main.swf" width="375" height="300">
                  <!--<![endif]-->
                  <param name="quality" value="high" />
                  <param name="wmode" value="opaque" />
                  <param name="swfversion" value="6.0.65.0" />
                  <param name="expressinstall" value="Scripts/expressInstall.swf" />
                  <!-- The browser displays the following alternative content for users with Flash Player 6.0 and older. -->
                  <div>
                    <h4>Content on this page requires a newer version of Adobe Flash Player.</h4>
                    <p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" width="112" height="33" /></a></p>
                  </div>
                  <!--[if !IE]>-->
                </object>
                <!--<![endif]-->
              </object>

       

      Source Code for the portfolios:

       

      <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="375" height="300" id="FlashID" title="Portfolio 1">
                <param name="movie" value="Portfolio 1 Copy/deploy-to-web/Main.swf" />
                <param name="quality" value="high" />
                <param name="wmode" value="opaque" />
                <param name="swfversion" value="6.0.65.0" />
                <!-- This param tag prompts users with Flash Player 6.0 r65 and higher to download the latest version of Flash Player. Delete it if you don’t want users to see the prompt. -->
                <param name="expressinstall" value="../Scripts/expressInstall.swf" />
                <!-- Next object tag is for non-IE browsers. So hide it from IE using IECC. -->
                <!--[if !IE]>-->
                <object type="application/x-shockwave-flash" data="Portfolio 1 Copy/deploy-to-web/Main.swf" width="375" height="300">
                  <!--<![endif]-->
                  <param name="quality" value="high" />
                  <param name="wmode" value="opaque" />
                  <param name="swfversion" value="6.0.65.0" />
                  <param name="expressinstall" value="../Scripts/expressInstall.swf" />
                  <!-- The browser displays the following alternative content for users with Flash Player 6.0 and older. -->
                  <div>
                    <h4>Content on this page requires a newer version of Adobe Flash Player.</h4>
                    <p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" width="112" height="33" /></a></p>
                  </div>
                  <!--[if !IE]>-->
                </object>
                <!--<![endif]-->
              </object>

       

      <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="375" height="300" id="FlashID2" title="Portfolio 2 video">
                <param name="movie" value="Portfolio 2 Copy/deploy-to-web/Main.swf" />
                <param name="quality" value="high" />
                <param name="wmode" value="opaque" />
                <param name="swfversion" value="6.0.65.0" />
                <!-- This param tag prompts users with Flash Player 6.0 r65 and higher to download the latest version of Flash Player. Delete it if you don’t want users to see the prompt. -->
                <param name="expressinstall" value="../Scripts/expressInstall.swf" />
                <param name="LOOP" value="false" />
                <param name="PLAY" value="false" />
                <!-- Next object tag is for non-IE browsers. So hide it from IE using IECC. -->
                <!--[if !IE]>-->
                <object type="application/x-shockwave-flash" data="Portfolio 2 Copy/deploy-to-web/Main.swf" width="375" height="300">
                  <!--<![endif]-->
                  <param name="quality" value="high" />
                  <param name="wmode" value="opaque" />
                  <param name="swfversion" value="6.0.65.0" />
                  <param name="expressinstall" value="../Scripts/expressInstall.swf" />
                  <param name="LOOP" value="false" />
                  <param name="PLAY" value="false" />
                  <!-- The browser displays the following alternative content for users with Flash Player 6.0 and older. -->
                  <div>
                    <h4>Content on this page requires a newer version of Adobe Flash Player.</h4>
                    <p><a href="http://www.adobe.com/go/getflashplayer"><img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" width="112" height="33" /></a></p>
                  </div>
                  <!--[if !IE]>-->
                </object>
                <!--<![endif]-->
              </object>